import { html } from 'lit';
import { fixture, expect } from '@open-wc/testing';

import type { FridgeMagnets } from '../src/fridge-magnets.js';
import '../src/fridge-magnets.js';

describe('FridgeMagnets', () => {
  let element: FridgeMagnets;
  beforeEach(async () => {
    element = await fixture(html`<fridge-magnets></fridge-magnets>`);
  });

  it('renders a h1', () => {
    const h1 = element.shadowRoot!.querySelector('h1')!;
    expect(h1).to.exist;
    expect(h1.textContent).to.equal('My app');
  });

  it('passes the a11y audit', async () => {
    await expect(element).shadowDom.to.be.accessible();
  });
});
